# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%define langcode hsb
%define langname Upper Sorbian

Name:		kde-i18n-%{langcode}
Summary:	%{langname} language support for KDE
Version:    3.4.2
Release:    10mdk
Group:		System/Internationalization
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source0:	%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-buildroot
# no locales-hsb package yet
#Requires:	locales-%{langcode}, kdelibs >= 3.0.3
Requires:	                     kdelibs >= 3.0.3
BuildArch:	noarch
BuildRequires:	freetype2 gettext kdelibs-devel texinfo

%if %mdkversion >= 200600
Provides:	kde-l10n
%endif
%description

%{langname} language support for KDE.

%prep
%setup -q

%build
%configure

make clean
%make

%install
rm -fr %buildroot
%makeinstall_std

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
#
#%dir %_docdir/HTML/
#%dir %_docdir/HTML/%{langcode}/
#%dir %_docdir/HTML/%{langcode}/common/
#%doc %_docdir/HTML/%{langcode}/common/*.css
#%doc %_docdir/HTML/%{langcode}/common/*.html
#%doc %_docdir/HTML/%{langcode}/common/*.png
#%doc %_docdir/HTML/%{langcode}/common/fdl-license
#%doc %_docdir/HTML/%{langcode}/common/gpl-license
#%doc %_docdir/HTML/%{langcode}/common/kde-localised.css.template
#%doc %_docdir/HTML/%{langcode}/common/lgpl-license
#%doc %_docdir/HTML/%{langcode}/common/xml.dcl

#
#%dir %_docdir/HTML/%{langcode}/khelpcenter/
#%doc %_docdir/HTML/%{langcode}/khelpcenter/*.docbook
#
%dir %_datadir/locale/
%dir %_datadir/locale/%{langcode}/
%_datadir/locale/%{langcode}/charset
%_datadir/locale/%{langcode}/*.desktop
#%_datadir/locale/%{langcode}/*.png
#
#
%dir %_datadir/locale/%{langcode}/LC_MESSAGES/
%_datadir/locale/%{langcode}/LC_MESSAGES/*.mo


%changelog
* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 10mdk
- Fix provides kde-l10n

* Fri Jul 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-1mdk
- 3.4.2

* Tue May 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.1-1mdk
- 3.4.1

* Tue Mar 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-30mdk
- Update translate

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- update from translation

* Fri Feb  4 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Update from CVS and add kpdf translate from CVS

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Update from CVS

* Thu Sep  2 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- KDE 3.3.0

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Sync with CVS

* Fri Aug 06 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 3.2.3-2mdk
- fixed locales requires

* Fri Aug 06 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 3.2.3-1mdk
- first packaging

